{% extends 'navbar.html' %}
{% load static %}
{% block content %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Story 8</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!--Jquery-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!--End Jquery-->

    <style>
        * {
            margin: 0px;
            padding: 0px;
            text-decoration: none;
            outline: none;
        }

        .jumbotron-fluid {
            background-color: #274156;
        }

        .display-3 {
            font-weight: bold;
        }


        h1 {
            font-size: 24px;
        }

        input[type="text"]{
            width: 100%;
            padding: 2%;
            border-color: #274156;
            border-radius: 10px;
            margin-bottom: 2%;
        }

        .col-md-4 {
            justify-content: center;
            display: flex;
        }

        .card{
            margin: 2%;
            border-radius: 15px;
            padding: 2%;
            border: 3px solid #274156;
        }

        .card-body a{
            cursor: pointer;
            text-decoration: none;
            color: #c4c4c4;
        }

        .card-body a:hover{
            text-decoration: none;
            color: #274156;
        }

        img {
            justify-content: center;
            display: flex;
            margin: auto;
            width: 50%;
        }
    </style>

</head>

<body>
    <div style="background:transparent" class="jumbotron jumbotron-fluid">
        <div class="container">
            <h1 class="display-3">Library</h1>
            <p class="lead">Search your favorite books here</p>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/">Home</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Library</li>
                </ol>
            </nav>
        </div>
    </div>
    <div class="container">
        <input type="text" name="" id="keyword" placeholder="Search your favorite book ..." autocomplete="off">
    </div>
    <div style="padding-bottom: 500px;" class="container">
        <div id="daftar_isi"></div>
    </div>

</body>

<script type="text/javascript">
    $("#keyword").keyup(function(){
        var input = $("#keyword").val();

        //calling using ajax
        $.ajax({

            //direct url to google api's
            url: '/story8/library/?q=' + input,
            
            success: function(data){
                //assign items into array_items
                var array_items = data.items;

                $("#daftar_isi").empty();

                //iterate every items in array_items
                for(i = 0; array_items.length; i++){
                    //getting the title of the books
                    var title = array_items[i].volumeInfo.title;
                    var source_image = array_items[i].volumeInfo.imageLinks.smallThumbnail; 
                    var description = array_items[i].volumeInfo.description;
                    var read_more = array_items[i].volumeInfo.previewLink;
                    var image = "<img src=" + source_image + "class=" + "card-img" + ">"
                    $("#daftar_isi").append(
                        "<div class=" + "card mb-3" + "style=" + "max-width: 540px;" + ">" +
                            "<div class=" + "row no-gutters" + ">" +
                                "<div class=" + "col-md-4" + ">" +
                                    image +
                                "</div>" +
                                "<div class=" + "col-md-8" + ">" +
                                    "<div class=" + "card-body" + ">" +
                                        "<h5 class=" + "card-title" + ">" + title + "</h5>" +
                                        "<p class=" + "card-text" +">" + description + "</p>" +
                                        "<a href=" + read_more + "class=" + "btn btn-primary" + ">" + "Read More" + "</a>" +
                                    "</div>" +
                                "</div>" +
                            "</div>" +
                        "</div>"
                    );
                }
            }
        });
    });
</script>

</html>
{% endblock content %} 